/* Define if your system needs _NSGetEnviron to set up the environment */
#undef HAVE_NSGETENVIRON
/* Define to 1 if you have the <crt_externs.h> header file - needed for "environ". */
#undef HAVE_CRT_EXTERNS_H
/* environ - needed by kdm */
#if defined(HAVE_NSGETENVIRON) && defined(HAVE_CRT_EXTERNS_H)
# include <sys/time.h>
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#endif

/* Define to 1 if you have the `auth_timeok' function. */
#undef HAVE_AUTH_TIMEOK

/* Define to 1 if you have the `getusershell' function. */
#define HAVE_GETUSERSHELL 1

/* Define to 1 if you have the `initgroups' function. */
#define HAVE_INITGROUPS 1

/* Define to 1 if you have the <lastlog.h> header file. */
#define HAVE_LASTLOG_H 1

/* Define to 1 if you have the `login_getclass' function. */
#undef HAVE_LOGIN_GETCLASS

/* Define to 1 if you have the `mkstemp' function. */
#define HAVE_MKSTEMP 1

/* Define to 1 if you have the `pam_getenvlist' function. */
#define HAVE_PAM_GETENVLIST 1

/* Define to 1 if you have the `seteuid' function. */
#define HAVE_SETEUID 1
#if !defined(HAVE_SETEUID)
#define seteuid(_eu) setresuid(-1, _eu, -1)
#endif

/* Define to 1 if you have the `setlogin' function. */
#undef HAVE_SETLOGIN

/* Define to 1 if you have the `setusercontext' function. */
#undef HAVE_SETUSERCONTEXT

/* Define to 1 if `pw_expire' is member of `struct passwd'. */
#undef HAVE_STRUCT_PASSWD_PW_EXPIRE

/* Define to 1 if `ut_user' is member of `struct utmp'. */
#define HAVE_STRUCT_UTMP_UT_USER 1

/* Define to 1 if `ut_host' is member of `struct utmp'. */
#define HAVE_STRUCT_UTMP_UT_HOST 1

/* Define to 1 if you have the `sysinfo' function. */
#define HAVE_SYSINFO 1

/* Define to 1 if you have the `arc4random' function. */
#undef HAVE_ARC4RANDOM

/* Define the system's entropy device */
#define DEV_RANDOM "/dev/urandom"

/* Define if the system uses a BSD-style init */
#undef BSD_INIT

/* Define if the system has no getutent */
#undef BSD_UTMP

/* Define if the system has the updwtmp function */
#define HAVE_UPDWTMP 1

/* Define if the system uses extended utmp */
#undef HAVE_UTMPX

/* Define if the system uses extended lastlog */
#undef HAVE_LASTLOGX

/* Define if kdm should use Sun's secure RPC for Xauth cookies. */
#undef SECURE_RPC

/* Define if kdm should use Kerberos 5 for Xauth cookies. */
#undef K5AUTH

/* Define if kdm should use Kerberos IV */
#undef KERBEROS

/* Define if kdm should not use AFS */
#undef AFS

/* Define if kdm should be built with XDMCP support */
#define XDMCP 1

/* Define if kdm should be built with XDMAUTH support */
#define HASXDMAUTH 1

/* Build kdm with built-in xconsole */
#undef WITH_KDM_XCONSOLE

/* Define to 1 if you have the `getifaddrs' function. */
#undef HAVE_GETIFADDRS

/* Define to 1 if you have the `getloadavg' function. */
#define HAVE_GETLOADAVG 1

/* Define to 1 if you have the `setproctitle' function. */
#undef HAVE_SETPROCTITLE

/* Define to 1 if you have the `strnlen' function. */
#define HAVE_STRNLEN 1

/* Define to 1 if `sin6_len' is member of `struct sockaddr_in6'. */
#undef HAVE_STRUCT_SOCKADDR_IN6_SIN6_LEN

/* Define to 1 if `sin_len' is member of `struct sockaddr_in'. */
#undef HAVE_STRUCT_SOCKADDR_IN_SIN_LEN

/* Define if you have getdomainname */
#define HAVE_GETDOMAINNAME 1

/* Define to 1 if you have the <termio.h> header file. */
#define HAVE_TERMIO_H 1

/* Define to 1 if you have the <termios.h> header file. */
#define HAVE_TERMIOS_H 1

/* $PATH defaults set by KDM */
#define KDM_DEF_USER_PATH   "/usr/local/bin:/usr/bin:/bin"
#define KDM_DEF_SYSTEM_PATH "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

/* Parameters to get from bindir to libexecdir */
#define KDM_LIBEXEC_STRIP  0
#define KDM_LIBEXEC_SUFFIX ""
